#version 450

// These come in from the vertex definition
layout(location = 0) in vec3 v_position;
layout(location = 1) in vec4 color;

// These are made up in the shader themselves
layout(location = 0) out vec4 out_color;

void main() {
    out_color = color;
    gl_Position = vec4(v_position, 1.0);


}






